aboutsummaryrefslogtreecommitdiff
path: root/bin/netfileput
diff options
context:
space:
mode:
Diffstat (limited to 'bin/netfileput')
-rwxr-xr-xbin/netfileput20
1 files changed, 16 insertions, 4 deletions
diff --git a/bin/netfileput b/bin/netfileput
index 9a5a396d..baa3eb12 100755
--- a/bin/netfileput
+++ b/bin/netfileput
@@ -1,15 +1,27 @@
#!/usr/local/plan9/bin/rc
-whatis '*'
if(! ~ $#* 2){
echo 'usage: netput system path' >[1=2]
exit usage
}
+f=putfile
+ns=`{namespace}
+if(u test -S $ns/$1)
+ f=$f^9p
+
t=/tmp/netget.$pid.$USER
fn sigexit { rm -f $t }
-cat >$t
-if(! echo put $t $2 | sftp -b - $1 >/dev/null)
- exit 1
+fn putfile{
+ cat >$t
+ if(! echo put $t $2 | sftp -b - $1 >/dev/null)
+ exit 1
+}
+fn putfile9p{
+ if(! 9p write $1/$2)
+ exit 1
+}
+
+$f $1 $2
exit 0